Bug 1031358 - [abrt] evolution-3.8.5-2.fc19: ssl_DestroyLocks: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
[abrt] evolution-3.8.5-2.fc19: ssl_DestroyLocks: Process /usr/bin/evolution w...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:eae01916a5df9134eac904cbea9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 02:28 EST by Björn Persson
Modified: 2013-11-18 05:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-18 05:52:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (70.28 KB, text/plain)
2013-11-17 02:28 EST, Björn Persson
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-17 02:28 EST, Björn Persson
no flags Details
File: core_backtrace (62.98 KB, text/plain)
2013-11-17 02:28 EST, Björn Persson
no flags Details
File: dso_list (29.77 KB, text/plain)
2013-11-17 02:28 EST, Björn Persson
no flags Details
File: environ (1.54 KB, text/plain)
2013-11-17 02:28 EST, Björn Persson
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-17 02:28 EST, Björn Persson
no flags Details
File: maps (141.71 KB, text/plain)
2013-11-17 02:28 EST, Björn Persson
no flags Details
File: open_fds (1.74 KB, text/plain)
2013-11-17 02:28 EST, Björn Persson
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2013-11-17 02:28 EST, Björn Persson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 712572 None None None Never

  None (edit)
Description Björn Persson 2013-11-17 02:28:17 EST
Description of problem:
I had prepared a number of messages that were to be signed and encrypted. Each message had one attachment. Then I started sending them. I didn't wait for each one to be sent before I gave the send command on the next one, so at times there were two messages being sent at once. Then all of a sudden Evolution crashed.

Version-Release number of selected component:
evolution-3.8.5-2.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        evolution
crash_function: ssl_DestroyLocks
executable:     /usr/bin/evolution
kernel:         3.11.6-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Nov 10 08:05:13 speedy abrt-hook-ccpp[13295]: Saved core dump of pid 11768 (/usr/bin/evolution) to /var/tmp/abrt/ccpp-2013-11-10-08:05:09-11768 (810622976 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 ssl_DestroyLocks at sslsock.c:308
 #6 ssl_FreeSocket at sslsock.c:407
 #7 ssl_DefClose at ssldef.c:205
 #8 tcp_stream_raw_finalize at camel-tcp-stream-raw.c:185
 #10 smtp_transport_disconnect_sync at camel-smtp-transport.c:468
 #11 service_disconnect_thread at camel-service.c:834
 #12 run_in_thread at /lib64/libgio-2.0.so.0
 #13 io_job_thread at /lib64/libgio-2.0.so.0
 #14 g_task_thread_pool_thread at /lib64/libgio-2.0.so.0
 #16 g_thread_proxy at /lib64/libglib-2.0.so.0

Potential duplicate: bug 915694
Comment 1 Björn Persson 2013-11-17 02:28:25 EST
Created attachment 825093 [details]
File: backtrace
Comment 2 Björn Persson 2013-11-17 02:28:29 EST
Created attachment 825094 [details]
File: cgroup
Comment 3 Björn Persson 2013-11-17 02:28:32 EST
Created attachment 825095 [details]
File: core_backtrace
Comment 4 Björn Persson 2013-11-17 02:28:36 EST
Created attachment 825096 [details]
File: dso_list
Comment 5 Björn Persson 2013-11-17 02:28:40 EST
Created attachment 825097 [details]
File: environ
Comment 6 Björn Persson 2013-11-17 02:28:43 EST
Created attachment 825098 [details]
File: limits
Comment 7 Björn Persson 2013-11-17 02:28:48 EST
Created attachment 825099 [details]
File: maps
Comment 8 Björn Persson 2013-11-17 02:28:51 EST
Created attachment 825100 [details]
File: open_fds
Comment 9 Björn Persson 2013-11-17 02:28:54 EST
Created attachment 825101 [details]
File: proc_pid_status
Comment 10 Milan Crha 2013-11-18 05:52:00 EST
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=712572

Note You need to log in before you can comment on or make changes to this bug.